#!/bin/bash

# Get the current user. This assumes you are running the script as the desired user.
USER=$(whoami)

#build the image
python timeatbuild.py

#move the build image
mv overlay_datetime_image.png zombieofficeroom.pk3dir/textures/zombieofficeroom_sets/overlay_datetime_image.png

# Define the destination directory
DEST_DIR="/home/$USER/.xonotic/data/"

# Delete and copy zombieofficeroom.pk3dir
if [ -d "zombieofficeroom.pk3dir" ]; then
    if [ -d "${DEST_DIR}zombieofficeroom.pk3dir" ]; then
        rm -r "${DEST_DIR}zombieofficeroom.pk3dir"
    fi
    cp -r zombieofficeroom.pk3dir $DEST_DIR
else
    echo "Folder zombieofficeroom.pk3dir not found!"
fi

# Delete and copy zombietextures.pk3dir
if [ -d "zombietextures.pk3dir" ]; then
    if [ -d "${DEST_DIR}zombietextures.pk3dir" ]; then
        rm -r "${DEST_DIR}zombietextures.pk3dir"
    fi
    cp -r zombietextures.pk3dir $DEST_DIR
else
    echo "Folder zombietextures.pk3dir not found!"
fi

